Package net.sf.robocode.battle

# Interface IBattleManagerBase

public interface IBattleManagerBase

Author:
  Pavel Savara (original)

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(IBattleListener listener)`
`void`
`removeListener(IBattleListener listener)`
`void`
`startNewBattle(BattleSpecification spec, String initialPositions, boolean waitTillOver, boolean enableCLIRecording)`
`void`
`stop(boolean waitTillEnd)`
`void`
`waitTillOver()`

## Method Details

### addListener

void addListener(IBattleListener listener)

### removeListener

void removeListener(IBattleListener listener)

### waitTillOver

void waitTillOver()

### stop

void stop(boolean waitTillEnd)

### startNewBattle

void startNewBattle(BattleSpecification spec, String initialPositions, boolean waitTillOver, boolean enableCLIRecording)